( function( $ ) {

	var URAF_Admin = {
		init: function() {
			$( '.ur-input-type-select2 .ur-field[data-field-key="select2"] select, .ur-input-type-multi-select2 .ur-field[data-field-key="multi_select2"] select' ).selectWoo();
			$('body').on('click', '.ur-selected-item', function () {
				URAF_Admin.initEventSelect2();
			});
		},

		initEventSelect2: function() {
			var $general_setting = $('.ur-general-setting-field');
			$.each( $general_setting, function() {
				var $this = $( this );
				switch( $this.attr( 'data-field' ) ) {
					case 'default_value':
						$this.on( 'change', function() {
							if( $this.closest('.ur-general-setting-block').hasClass('ur-general-setting-select2') ) {
								render_select_box( $( this ) );
							}
							if( $this.closest('.ur-general-setting-block').hasClass('ur-general-setting-multi_select2') ) {
								render_multiple_select_box( $( this ) );
							}
						} );
						break;
					case 'options':
						$this.on( 'keyup', function() {
							if( $this.closest('.ur-general-setting-block').hasClass('ur-general-setting-select2') && $this.siblings('input[data-field="default_value"]').is(':checked') ) {
								render_select_box( $( this ) );
							}
							if( $this.closest('.ur-general-setting-block').hasClass('ur-general-setting-multi_select2') && $this.siblings('input[data-field="default_value"]').is(':checked') ) {
								render_multiple_select_box( $( this ) );
							}
						} );
						break;
					case 'header_attribute':
						$this.on( 'change', function() {
							render_section_title_heading( $( this ) );
						});
						break;
					case 'label':
						$this.on( 'keyup change', function() {
							render_section_title_label( $( this ) );
						});
						break;
				}
			} );
		}
	};

	function render_select_box(this_node) {
		var value = $.trim( this_node.val() );
		var wrapper = $('.ur-selected-item.ur-item-active');
		var checked_index = this_node.closest('li').index();
		var select = wrapper.find('.ur-field').find('select');

		select.html('');
		select.append('<option value=\'' + value + '\'>' + value + '</option>');

		wrapper.find('.ur-general-setting-options li input[data-field="default_value"]').removeAttr( 'checked' );
		wrapper.find('.ur-general-setting-options li:nth(' + checked_index + ') input[data-field="default_value"]').attr( 'checked', 'checked' );
	}

	function render_multiple_select_box(this_node) {
		var value = $.trim( this_node.val() );
		var wrapper = $('.ur-selected-item.ur-item-active');
		var this_index = this_node.closest('li').index();
		var select = wrapper.find('.ur-field').find('select');
		var options = this_node.closest('ul').find( 'li' );
		var checkbox = this_node.closest('li').find( 'input[data-field="default_value"]' );

		select.html('');
		$.each( options, function() {
			var option = $( this ).find( 'input[data-field="default_value"]' );
			if( option.is( ':checked' ) ) {
				select.append('<option value=\'' + option.val() + '\' selected>' + option.val() + '</option>');
			}
		} );

		if( checkbox.is( ':checked' ) ) {
			wrapper.find('.ur-general-setting-options li:nth(' + this_index + ') input[data-field="default_value"]').attr( 'checked', 'checked' );
		} else {
			wrapper.find('.ur-general-setting-options li:nth(' + this_index + ') input[data-field="default_value"]').removeAttr( 'checked' );
		}
	}

	function render_section_title_heading( this_node ) {
		var wrapper = $('.ur-selected-item.ur-item-active');
		var value = $.trim( this_node.val() );
		wrapper.find('.ur-general-setting-select-header select option').removeAttr( 'selected' );
		wrapper.find('.ur-general-setting-select-header select option[value="' + value + '"]').attr( 'selected', 'selected' );

		$("div.ur-input-type-section-title label").html("<"+value+">Section</"+value+">");

	}

	function render_section_title_heading( this_node ) {
		var wrapper = $('.ur-selected-item.ur-item-active');
		var value = $.trim( this_node.val() );
		var label = wrapper.find('.ur-general-setting-label input').val();
		wrapper.find('.ur-general-setting-select-header select option').removeAttr( 'selected' );
		wrapper.find('.ur-general-setting-select-header select option[value="' + value + '"]').attr( 'selected', 'selected' );

		wrapper.find( '.ur-label' ).html( '<' + value + '>' + label + '</' + value + '>' );
	}

	function render_section_title_label( this_node ) {
		var wrapper = $('.ur-selected-item.ur-item-active');
		var value = $.trim( this_node.val() );
		var heading = wrapper.find('.ur-general-setting-select-header select').val();

		wrapper.find( '.ur-label' ).html( '<' + heading + '>' + value + '</' + heading + '>' );
	}

	$( document ).ready( function() {
		URAF_Admin.init();
	} );
} )( jQuery );
