<?php
/**
 * UserRegistrationAdvancedFields Admin.
 *
 * @class    UR_Form_Field_Timepicker
 * @version  1.0.0
 * @package  UserRegistrationAdvancedFields/Form
 * @category Admin
 * @author   WPEverest
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * UR_Form_Field_Timepicker Class
 */
class UR_Form_Field_Timepicker extends UR_Form_Field {

	private static $_instance;


	public static function get_instance() {
		// If the single instance hasn't been set, set it now.
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}

		return self::$_instance;
	}

	/**
	 * Hook in tabs.
	 */
	public function __construct() {

		$this->id = 'user_registration_timepicker';

		$this->form_id = 1;

		$this->registered_fields_config = array(

			'label' => __( 'Time Picker', 'user-registration-advanced-fields' ),

			'icon'  => 'ur-icon ur-icon-time-picker',
		);
		$this->field_defaults           = array(

			'default_label'      => __( 'Time Picker', 'user-registration-advanced-fields' ),

			'default_field_name' => 'timepicker_' . ur_get_random_number(),

		);
	}


	public function get_registered_admin_fields() {

		return '<li id="' . $this->id . '_list "

				class="ur-registered-item draggable"

                data-field-id="' . $this->id . '"><span class="' . $this->registered_fields_config['icon'] . '"></span>' . $this->registered_fields_config['label'] . '</li>';
	}


	public function validation( $single_form_field, $form_data, $filter_hook, $form_id ) {
		// TODO: Implement validation() method.
	}
}

return UR_Form_Field_Timepicker::get_instance();
