<?php
/**
 * UserRegistrationContentRestriction Admin.
 *
 * @class    URCR_Admin
 * @version  1.0.0
 * @package  UserRegistrationContentRestriction/Admin
 * @category Admin
 * @author   WPEverest
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * URCR_Admin Class
 */
class URCR_Admin {

	/**
	 * Hook in tabs.
	 */

	public function __construct() {
		urcr_check_plugin_compatibility();
		$message = urcr_is_compatible();
		if ( $message !== 'YES' ) {
			return;
		}
		add_filter( 'user_registration_get_settings_pages', array( $this, 'add_content_restriction_setting' ), 10, 1 );
		
	}

	function add_content_restriction_setting( $settings ) {

		if ( class_exists( 'UR_Settings_Page' ) ) {
			
			$settings[] = include( 'settings/class-urcr-settings-file.php' );
		}

	}

}

return new URCR_Admin();
