<?php
/**
 * Plugin Name: User Registration Invite Codes
 * Plugin URI: https://wpeverest.com/wordpress-plugins/user-registration/invite-codes/
 * Description: Restricts the registration on your site to only users with invite codes.
 * Version: 1.0.1
 * Author: WPEverest
 * UR requires at least: 1.0.0
 * UR tested up to: 1.5.3
 * Copyright: © 2017 WPEverest.
 * Author URI: https://wpeverest.com
 * Text Domain: user-registration-invite-codes
 * Domain Path: /languages/
 *
 * @package User_Registration_Invite_Codes
 */

defined( 'ABSPATH' ) || exit;

// Define UR_INVITE_CODES_PLUGIN_FILE.
if ( ! defined( 'UR_INVITE_CODES_PLUGIN_FILE' ) ) {
	define( 'UR_INVITE_CODES_PLUGIN_FILE', __FILE__ );
}

// Include the main User_Registration_Invite_Codes class.
if ( ! class_exists( 'User_Registration_Invite_Codes' ) ) {
	include_once dirname( __FILE__ ) . '/includes/class-user-registration-invite-codes.php';
}

// Initialize the plugin.
add_action( 'plugins_loaded', array( 'User_Registration_Invite_Codes', 'get_instance' ) );
